ggidev-inc_3(3)

NAME
ggidev-inc_3, ggidev-dec_3, ggidev-negate_3, ggidev-abs_3 : Unary arithmetic triple-int operations

SYNOPSIS
#include <ggi/internal/triple-int.h>
unsigned *inc_3(unsigned x[3]);
unsigned *dec_3(unsigned x[3]);
unsigned *negate_3(unsigned x[3]);
unsigned *abs_3(unsigned x[3]);

DESCRIPTION
inc_3 increments x by one. Equivalent to ++x. dec_3 decrements x by one. Equivalent to --x. negate_3 negates x. Equivalent to x=-x. abs_3 takes the absolute value of x. Equivalent to x=x<0?-x:x.

RETURN VALUE
inc_3, dec_3, negate_3 and abs_3 all return a pointer to x which has been updated in place.

EXAMPLES
Some unary arithmetic operations on triple-ints:
unsigned x[3];
assign_int_3(x, 44);
negate_3(x);  /* x is now -44 */
inc_3(x);     /* x is now -43 */
abs_3(x);     /* x is now 43 */
dec_3(x);     /* x is now 42 */

SEE ALSO
ggidev-triple-int(7), ggidev-assign_int_3(3)